## org.eclipse.emf.ecore.resource.impl
Class BinaryResourceImpl.EObjectOutputStream

    java.lang.Object
      org.eclipse.emf.ecore.resource.impl.BinaryResourceImpl.BinaryIO
          org.eclipse.emf.ecore.resource.impl.BinaryResourceImpl.EObjectOutputStream

Enclosing class:
  BinaryResourceImpl

    public static class BinaryResourceImpl.EObjectOutputStream

extends BinaryResourceImpl.BinaryIO

Nested Class Summary
`static class` `BinaryResourceImpl.EObjectOutputStream.Check`
`protected static class` `BinaryResourceImpl.EObjectOutputStream.EClassData`
`protected static class` `BinaryResourceImpl.EObjectOutputStream.EPackageData`
`protected static class` `BinaryResourceImpl.EObjectOutputStream.EStructuralFeatureData`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.resource.impl.BinaryResourceImpl.BinaryIO
`BinaryResourceImpl.BinaryIO.FeatureKind, BinaryResourceImpl.BinaryIO.Version`

Field Summary
`protected java.util.Map<EClass,BinaryResourceImpl.EObjectOutputStream.EClassData>` `eClassDataMap`
`protected java.util.Map<EObject,java.lang.Integer>` `eObjectIDMap`
`protected java.util.Map<EPackage,BinaryResourceImpl.EObjectOutputStream.EPackageData>` `ePackageDataMap`
`protected java.io.OutputStream` `outputStream`
`protected java.util.Map<URI,java.lang.Integer>` `uriToIDMap`

Fields inherited from class org.eclipse.emf.ecore.resource.impl.BinaryResourceImpl.BinaryIO
`baseURI, characters, featureMapEntryDataArrayBuffer, featureMapEntryDataArrayBufferCount, internalEObjectDataArrayBuffer, internalEObjectDataArrayBufferCount, options, resource, version`

Constructor Summary
`BinaryResourceImpl.EObjectOutputStream(java.io.OutputStream outputStream, java.util.Map<?,?> options)`
`BinaryResourceImpl.EObjectOutputStream(java.io.OutputStream outputStream, java.util.Map<?,?> options, BinaryResourceImpl.BinaryIO.Version version)`

Method Summary
`void` `saveEObject(InternalEObject internalEObject, BinaryResourceImpl.EObjectOutputStream.Check check)`
`void` `saveEObjects(InternalEList<? extends InternalEObject> internalEObjects, BinaryResourceImpl.EObjectOutputStream.Check check)`
`void` `saveFeatureMap(FeatureMap.Internal featureMap)`
`void` `saveFeatureMapEntry(FeatureMap.Entry.Internal entry)`
`protected void` `saveFeatureValue(InternalEObject internalEObject, int featureID, BinaryResourceImpl.EObjectOutputStream.EStructuralFeatureData eStructuralFeatureData)`
`void` `saveResource(Resource resource)`
`void` `writeBoolean(boolean value)`
`void` `writeByte(int value)`
`void` `writeChar(int value)`
`void` `writeCompressedInt(int value)`
`void` `writeDouble(double value)`
`protected BinaryResourceImpl.EObjectOutputStream.EClassData` `writeEClass(EClass eClass)`
`protected BinaryResourceImpl.EObjectOutputStream.EPackageData` `writeEPackage(EPackage ePackage)`
`protected BinaryResourceImpl.EObjectOutputStream.EStructuralFeatureData` `writeEStructuralFeature(EStructuralFeature eStructuralFeature)`
`void` `writeFloat(float value)`
`void` `writeInt(int value)`
`void` `writeLong(long value)`
`void` `writeShort(int value)`
`protected void` `writeSignature()`
`void` `writeString(java.lang.String value)`
`void` `writeURI(URI uri)`
`void` `writeURI(URI uri, java.lang.String fragment)`
`protected void` `writeVersion()`

Methods inherited from class org.eclipse.emf.ecore.resource.impl.BinaryResourceImpl.BinaryIO
`allocateFeatureMapEntryArray, allocateInternalEObjectArray, deresolve, recycle, recycle, resolve`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### outputStream

    protected java.io.OutputStream outputStream

### ePackageDataMap

    protected java.util.Map<EPackage,BinaryResourceImpl.EObjectOutputStream.EPackageData> ePackageDataMap

### eClassDataMap

    protected java.util.Map<EClass,BinaryResourceImpl.EObjectOutputStream.EClassData> eClassDataMap

### eObjectIDMap

    protected java.util.Map<EObject,java.lang.Integer> eObjectIDMap

### uriToIDMap

    protected java.util.Map<URI,java.lang.Integer> uriToIDMap

Constructor Detail

### BinaryResourceImpl.EObjectOutputStream

    public BinaryResourceImpl.EObjectOutputStream(java.io.OutputStream outputStream,
                                                  java.util.Map<?,?> options)
                                           throws java.io.IOException

Throws:
  `java.io.IOException`

### BinaryResourceImpl.EObjectOutputStream

    public BinaryResourceImpl.EObjectOutputStream(java.io.OutputStream outputStream,
                                                  java.util.Map<?,?> options,
                                                  BinaryResourceImpl.BinaryIO.Version version)
                                           throws java.io.IOException

Throws:
  `java.io.IOException`

Method Detail

### writeSignature

    protected void writeSignature()
                           throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeVersion

    protected void writeVersion()
                         throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeEPackage

    protected BinaryResourceImpl.EObjectOutputStream.EPackageData writeEPackage(EPackage ePackage)
                                                                         throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeEClass

    protected BinaryResourceImpl.EObjectOutputStream.EClassData writeEClass(EClass eClass)
                                                                     throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeEStructuralFeature

    protected BinaryResourceImpl.EObjectOutputStream.EStructuralFeatureData writeEStructuralFeature(EStructuralFeature eStructuralFeature)
                                                                                             throws java.io.IOException

  Throws:
    `java.io.IOException`

### saveResource

    public void saveResource(Resource resource)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

### saveEObjects

    public void saveEObjects(InternalEList<? extends InternalEObject> internalEObjects,
                             BinaryResourceImpl.EObjectOutputStream.Check check)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

### saveFeatureMap

    public void saveFeatureMap(FeatureMap.Internal featureMap)
                        throws java.io.IOException

  Throws:
    `java.io.IOException`

### saveFeatureMapEntry

    public void saveFeatureMapEntry(FeatureMap.Entry.Internal entry)
                             throws java.io.IOException

  Throws:
    `java.io.IOException`

### saveEObject

    public void saveEObject(InternalEObject internalEObject,
                            BinaryResourceImpl.EObjectOutputStream.Check check)
                     throws java.io.IOException

  Throws:
    `java.io.IOException`

### saveFeatureValue

    protected void saveFeatureValue(InternalEObject internalEObject,
                                    int featureID,
                                    BinaryResourceImpl.EObjectOutputStream.EStructuralFeatureData eStructuralFeatureData)
                             throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeByte

    public void writeByte(int value)
                   throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeBoolean

    public void writeBoolean(boolean value)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeChar

    public void writeChar(int value)
                   throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeShort

    public void writeShort(int value)
                    throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeInt

    public void writeInt(int value)
                  throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeLong

    public void writeLong(long value)
                   throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeFloat

    public void writeFloat(float value)
                    throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeDouble

    public void writeDouble(double value)
                     throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeCompressedInt

    public void writeCompressedInt(int value)
                            throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeString

    public void writeString(java.lang.String value)
                     throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeURI

    public void writeURI(URI uri)
                  throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeURI

    public void writeURI(URI uri,
                         java.lang.String fragment)
                  throws java.io.IOException

  Throws:
    `java.io.IOException`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.